Package org.springframework.core.type.filter

# Interface TypeFilter

All Known Implementing Classes:
  `AbstractClassTestingTypeFilter`, `AbstractTypeHierarchyTraversingFilter`, `AnnotationTypeFilter`, `AspectJTypeFilter`, `AssignableTypeFilter`, `RegexPatternTypeFilter`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface TypeFilter
Base interface for type filters using a `MetadataReader`.

Since:
  2.5
Author:
  Costin Leau, Juergen Hoeller, Mark Fisher

## Method Summary

Modifier and Type
Method
Description
`boolean`
`match(MetadataReader metadataReader, MetadataReaderFactory metadataReaderFactory)`
Determine whether this filter matches for the class described by the given metadata.

## Method Details

### match

boolean match(MetadataReader metadataReader, MetadataReaderFactory metadataReaderFactory) throws IOException
Determine whether this filter matches for the class described by the given metadata.

Parameters:
  `metadataReader` - the metadata reader for the target class
  `metadataReaderFactory` - a factory for obtaining metadata readers for other classes (such as superclasses and interfaces)
Returns:
  whether this filter matches
Throws:
  `IOException` - in case of I/O failure when reading metadata